# Authority: vip-ire
# Name: Daniel Berteaud

%define name smeserver-dokuwiki
%define version 0.1.1
%define release 1
Summary: sme server integration of dokuwiki
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL
URL: http://www.splitbrain.org/projects/dokuwiki
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz

BuildArchitectures: noarch
BuildRequires: e-smith-devtools
BuildRoot: /var/tmp/%{name}-%{version}
Requires: e-smith-base >= 5.2.0-56
Requires: dokuwiki
Requires: smeserver-webapps-common
AutoReqProv: no

%description
smserver integration of dokuwiki
DokuWiki is a simple to use Wiki aimed at the documentation needs of a small company

%changelog
* Wed May 15 2013 Daniel B. <daniel@firewall-services.com> 0.1.1-1
- Use the new auth plugins to be compatible with dokuwiki 2013-05-10

* Wed May 15 2013 Daniel B. <daniel@firewall-services.com> 0.1.0-1
- Import in GIT

* Mon Dec 19 2011 Daniel B. <daniel@firewall-services.com> 0.1-2
- Follow symlinks so fck media browser works

* Fri Jul 08 2011 Daniel B. <daniel@firewall-services.com> 0.1-1
- initial release

%prep
%setup

%build
perl ./createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
	> %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT


%postun

